<?php if(!defined('PLX_ROOT')) exit; ?>

<p class="in-action-bar page-title">Aide du plugin plxOpenStreetMap</p>
<h1><span>Sommaire</span></h1>
<ul>
 <li>
<p><span><a href="#2.Installation">Installation</a></span></p>
</li>
 <li>
<p><span><a href="#3.Configuration">Configuration</a></span></p>
</li>
 <li>
<p><span><a href="#4.création_des_cartes">Création des cartes</a></span></p>
</li>
 <li>
<p><span><a href="#5.utilisation">Utilisation dans une page statique ou article</a></span></p>
</li>
</ul>
<br />Ce plugin permet de créer et de paramétrer des cartes OpenStreetMap, utilisable dans des articles ou statiques ou d'autres plugins
<br />
Ce plugin a été testé sur <br />
 - unix raspbian-buster : pluxml 5.8.14 et pluxml 5.9.0, apache 2.4, PHP 8.3
 <h1><a name="2.Installation"></a><span>Installation</span></h1>
<br />pré-requis pour utiliser dans un article ou une page statique<br />
- lib javascript jquery (version min suffit), dans la page statique ou article (à mettre dans le header.php);
<br />pré-requis pour utiliser dans le plugin plxMapGeoIP ou le plugin plxGoaccess <br />
- Aucun;
<br /><br />Installer le plugin et l'activer.

<h1><a name="3.Configuration"></a><span>Configuration</span></h1> 
<br />Dans cette page vous pourrez choisir le nombre de cartes que vous souhaitez construire : de 1 à 10


<h1><a name="4.création_des_cartes"></a><span>Création des cartes</span></h1>
A partir du menu : lancer l'item "Cartes Open Street maps' <br />
les données de la 1ere carte (numérotée zéro) s'affichent.<br />
Voir cette page pour la liste et le contenu possibles des données (niveau de zoom de la carte, centrage, marqueurs, etc)
En haut n boutons 'map-i", n étant le nombre de cartes configurées dans l'étape précédente (de 0 à 9 au plus)<br />
En cliquant sur un de ces boutons on affiche les données de carte i<br />
Aprés avoir saisi les données : le bouton "enregistrer" les données pour la carte dont le numéro est dans le champ "numéro de la carte"
Le bouton "preview" permet d'afficher la carte.

<h1><a name="5.utilisation"></a><span>Utilisation dans une page statique ou un article</span></h1>
L'appel d'une carte peut se faire en utilisant les paramètres associés à la carte dans l'administration de la carte, 
ou bien, en passant dynamiquement les paramètres : chaque bloc de paramètre étant séparé par la barre verticale |
<br /><br />
DANS UNE PAGE STATIQUE : <br /><br />
exemple d'appel de la carte 4 dans une page statique. Ce code est à mettre dans une paire de balises ouvrante - fermante php : 
<br />$plxPlugin = $plxShow->plxMotor->plxPlugins->aPlugins['plxOpenStreetMap'];
<br />echo ($plxPlugin->echomap(4)); 
 
<br /> <br /> exemple d'appel de la carte 1 avec passage dynamique des paramètres (ici tous les paramètress). Ce code à mettre dans dans une paire de balises ouvrante - fermante php : <br /> 
<br />$plxPlugin = $plxShow->plxMotor->plxPlugins->aPlugins['plxOpenStreetMap'];
<br />echo ($plxPlugin->echomap(1, "46.3, 1.90925", "6, 1, 20",1,"46.3, 0.90925, info bulle, none|46.3, 1.90925, info bulle, none|46.3, 1.90925, info bulle, none", "46.3, 0.90925|46.3, 1.90925|48.3, 1.90925|48.3, 0.90925")); 

<br /> <br /> exemple d'appel de la carte 2 avec passage dynamique des paramètres "centre de la carte' : <br /> 
<br />$plxPlugin = $plxShow->plxMotor->plxPlugins->aPlugins['plxOpenStreetMap'];
<br />echo ($plxPlugin->echomap(2, "46.3, 1.90925")); 
<br /><br />DANS UN ARTICLE: <br /><br />
Créer dans votre thème un nouveau template article, nommé par ex article-map.php.
<br />Dans ce template : inserer le même code que ci-dessus (toujours entre deux balise php)<br />
<br />Ou bien dans ce template, remplacer un code déjà présent entre 2 balises PHP, par exemple '$plxShow->artThumbnail();', par le même code que ci-dessus. Dans cet exemple, la carte remplacera l'image de l'article<br />
